<?xml version="1.0" encoding="utf-8" ?>

<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd">

  <variable name="logDirectory" value="${basedir}/Logs/" />

  <targets>
    <target name="All" xsi:type="File" fileName="${logDirectory}/${shortdate}_allLogs.log" encoding="UTF-8" layout="${level:uppercase=true} | ${logger:uppercase=true} | ${longdate} | ${message} ${onexception:${newline}${trim-whitespace:trimWhiteSpace=true:inner=${exception:format=ToString,StackTrace:maxInnerExceptionLevel=5:innerFormat=ToString,StackTrace}}}" />
    <target name="Other" xsi:type="File" fileName="${logDirectory}/${shortdate}_${logger}.log" encoding="UTF-8" layout="${level:uppercase=true} | ${logger:uppercase=true} | ${longdate} | ${message}" />
  </targets>

  <rules>
    <logger name="*" minlevel="Information" writeTo="All"/>
  </rules>

</nlog>